//-----------------------------------------------------------------------------
// Common.h
//
// Started 06/09/2000
//
// Shrike Framework -  Rob Wyatt
//-----------------------------------------------------------------------------
#if !defined(COMMON_H_INCLUDED)
#define COMMON_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//
// Include common system include files so they do not need including elsewhere
//
#include <Windows.h>
#include "crtdbg.h" 

 
//
// Include common shrike header files
//

#include "StdTypes.h"
#include "BuildVer.h"

#undef D3D_OVERLOADS        // Do not define the DX C++ operators
//
// Include common libraries, no additional windows headers should be required.
//
#pragma comment(lib, "KERNEL32.lib")
#pragma comment(lib, "USER32.lib")
#pragma comment(lib, "GDI32.lib")
#pragma comment(lib, "ADVAPI32.lib")
#pragma comment(lib, "WINMM.lib")


// __$ReturnUdt is the address of the destination when returning a structure
// It is Microsoft specific and is undocumented so will need to be adjusted
// to work with other compilers. The best way is to declare a local of the
// correct type and then return it. The type of this variable changes with
// the type being returned.
#define that_ptr __$ReturnUdt


//
// Set common compile time pragmas
//

#endif

