
/*!
	\file
	\class   BeginStatement
	\ingroup g_kamin
	\brief   List begin statement
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000
*/


#ifndef TEDDY_KAMIN_BEGIN_STATEMENT_H
#define TEDDY_KAMIN_BEGIN_STATEMENT_H


#include "Kamin/Function.h"


namespace Kamin {


class BeginStatement : public Function {
public:
	virtual void applyWithArgs( Expr &target, ListNode *args, Environment *rho, Base *b );
};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_BEGIN_STATEMENT_H

