
#include "Kamin/BinaryFunction.h"


namespace Kamin {


void BinaryFunction::apply( Expr &target, ListNode *args, Environment *rho, Base *b ){
	if( args->length() != 2 ){
		error( "binary function given more/less than two arguments" );
		target = 0;
		return;
	}
	Function::apply( target, args, rho, b );
}

void BinaryFunction::applyWithArgs( Expr &target, ListNode *args, Environment *rho, Base *b ){
	if( !fun ){
		target = error("binary function apply and no function");
	}else{
		fun( target, args->at(0), args->at(1) );
	}
}


};  //  namespace Kamin

