
#include "Kamin/BooleanBinaryFunction.h"
#include "Kamin/IntegerExpression.h"
#include "Kamin/Base.h"


namespace Kamin {


void BooleanBinaryFunction::applyWithArgs( Expr &target, ListNode *args, Environment *rho, Base *b ){
	Expression *left  = args->at(0);
	Expression *right = args->at(1);
	if( (! left->isInteger()) || (! right->isInteger()) ){
		error( "arithmetic function with nonint args" );
		return;
	}
	
	if( fun(left->isInteger()->val(), right->isInteger()->val()) ){
		target = b->True();
	}else{
		target = b->False();
	}
}


};  //  namespace Kamin

