
/*!
	\file
	\class   BeginStatement
	\ingroup g_kamin
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000
*/


#ifndef TEDDY_KAMIN_BOOLEAN_UNARY_H
#define TEDDY_KAMIN_BOOLEAN_UNARY_H


#include "Kamin/UnaryFunction.h"


namespace Kamin {


class BooleanUnary : public UnaryFunction {
public:
	BooleanUnary( int (*thefun)(Expression *) ){
		fun = thefun;
	}

	virtual void applyWithArgs( Expr &target, ListNode *args, Environment *, Base *b );

private:
	int (*fun)(Expression *);
};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_BOOLEAN_UNARY_H

