
/*!
	\file
	\class   Expr
	\ingroup g_kamin
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000

	Class Expr - expression holders
*/


#ifndef TEDDY_KAMIN_EXPR_H
#define TEDDY_KAMIN_EXPR_H


namespace Kamin {


//	forward references
class Environment;
class Expression;
class Base;


class Expr {
public:
	Expr( Expression *val = 0 );

	Expression *operator()(){
		return val();
	}

	void operator=( Expression * );

	void evalAndPrint( Environment *valueops, Environment *rho, Base *b );

protected:
	Expression *val(){
		return value;
	}

private:
	Expression *value;
};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_EXPR_H

