
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!


\page p_implementation Implementation

Warning: A lot is still work-in-progress and keeps changing.

This release also is not extensively checked for errors
(though many are know :) If you plan to do something, you
should let me know.

For graphics glElite / Teddy uses OpenGL and SDL.
TEDDY is written completely in C++, and uses heavily STL.

The source is arranged into several modules. There is
a subdirectory for each module. The Visual Studio
workspace has one project for each module, building
a static library of all files in respective directory.
The same is done with (still experimental) autoconf
configure script generated Makefile in posix environments.

Files in the root source directory src/ contain the
testing environment code. It needs to be linked to
all static libraries, and SDL, to get the testing
executable.

<ul>
<li>\link p_data_structures Data Structures\endlink
<li>\link p_imports Imports\endlink
<li>\link p_inputs Inputs (User Interface)\endlink
<li>\link p_graphics Graphics\endlink
<li>\link p_materials Materials\endlink
<li>\link p_maths Maths\endlink
<li>\link p_models Models\endlink
<li>\link p_physical_components Physical Components (User Interface)\endlink
<li>\link p_physics Physics\endlink
<li>\link p_scenes Scenes\endlink
<li>\link p_syssupport SysSupport\endlink
<li>\link p_tasks Tasks\endlink
<li>\link p_testingenvironment TestingEnvironment\endlink
</ul>


*/

