#! /bin/sh

for i in DataStructures/DataStructures.dsp Graphics/Graphics.dsp Inputs/Inputs.dsp Kamin/Kamin.dsp Materials/Materials.dsp Maths/Maths.dsp Models/Models.dsp PhysicalComponents/PhysicalComponents.dsp Physics/Physics.dsp Scenes/Scenes.dsp SysSupport/SysSupport.dsp Tasks/Tasks.dsp; do \
	echo ::: Renaming and removing $i; \
	mv $i $i.add_kb; \
	sleep 1; \
	cvs remove $i; \
done

echo ::: Commiting removes
cvs commit -m "Fixing project files"; \


for i in DataStructures/DataStructures.dsp Graphics/Graphics.dsp Inputs/Inputs.dsp Kamin/Kamin.dsp Materials/Materials.dsp Maths/Maths.dsp Models/Models.dsp PhysicalComponents/PhysicalComponents.dsp Physics/Physics.dsp Scenes/Scenes.dsp SysSupport/SysSupport.dsp Tasks/Tasks.dsp; do \
	echo ::: Renaming and adding with -kb $i; \
	mv $i.add_kb $i; \
	sleep 1; \
	cvs add -kb $i; \
	sleep 1; \
	sleep 1; \
done

echo ::: Committing adds with -kb
cvs commit -m "Fixing project files"; \



