
/*  $Id: teddy.cpp,v 1.4 2000/12/15 11:50:38 tksuoran Exp $  */

/*  $Id: teddy.cpp,v 1.4 2000/12/15 11:50:38 tksuoran Exp $  */

/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


#ifdef WIN32            //  This here and the other part
#include <windows.h>    //  below are needed in Win32
#include <io.h>         //  environment to open a console
#include <fcntl.h>      //  for standard input and output.
#endif
#include "ui.h"
#include <exception>


int main( int argc, char **argv ){

#ifdef WIN32
	int hCrt;
	FILE *hf;

	AllocConsole();
	hCrt = _open_osfhandle(
		(long) GetStdHandle(STD_OUTPUT_HANDLE),
		_O_TEXT
	);
	hf = _fdopen( hCrt, "w" );
	*stdout = *hf;
	setvbuf( stdout, NULL, _IONBF, 0 );
#endif


	bool fullscreen = false;
	int  i;
	for( i=1; i<argc; i++ ){
		if( strcmp(argv[i],"-fullscreen")== 0 ){
			fullscreen = true;
		}
	}

	new UI( fullscreen );
	return( 0 );
}

