#ifndef COMMON_H__
#define COMMON_H__

#define D3D_OVERLOADS

#ifdef __ICL
#if __ICL < 310
#error "To be compiled with Intel's C++ compiler version 3.1 or higher."
#endif
#else
#error "To be compiled with Intel C++ compiler only."
#endif




#include <windows.h>
#include <d3d.h>
#include "utils.h"
#include "win.h"
#include "resource.h"


#define CLASS_NAME "SolarSystem"


#define VALIDATE(hr) if (hr) exit(hr)
#define RELEASE(intf) if (intf) (intf)->Release();

class CWindow;

extern HINSTANCE hInst;
extern CWindow   Wnd;


BOOL CheckIfSSE();



#endif

