//-----------------------------------------------------------------------------
// D3DLights.h
//
// Started 06/20/2000
//
// Shrike Framework -  Rob Wyatt
//-----------------------------------------------------------------------------

#if !defined(D3DLIGHTS_H_INCLUDED)
#define D3DLIGHTS_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "common.h"
#include "d3d.h"
#include "Debug.h"
#include "Vector.h"
#include "Colors.h"


//----------------------------------------------------------------------------
class PointLight : public D3DLIGHT7
{
public:

    //----------------------------------------------------------------------------
    PointLight
    (
    )
    //--------------------------------------
    {
    }


    //----------------------------------------------------------------------------
    PointLight
    (
        Vector3&    pos,
        RGBColor&   col,
        float       range = D3DLIGHT_RANGE_MAX
    )
    //--------------------------------------
    {
        ZeroMemory(this, sizeof(PointLight));

        dltType = D3DLIGHT_POINT;

        dcvDiffuse = col;
        dvPosition = pos;

        dvAttenuation0 = 1.0f;
        dvRange        = range;
    }
};


#endif


