//-----------------------------------------------------------------------------
// Material.h
//
// Started 06/22/2000
//
// Shrike Framework -  Rob Wyatt
//-----------------------------------------------------------------------------

#if !defined(MATERIAL_H_INCLUDED)
#define MATERIAL_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Common.h"
#include "Colors.h"


//----------------------------------------------------------------------------
class Material : public D3DMATERIAL7
{
public:
    //----------------------------------------------------------------------------
    Material
    (
    )
    //--------------------------------------
    {
    }

    //----------------------------------------------------------------------------
    Material
    (
        RGBColor&   col      // Color for diffuse and ambient
    )
    //--------------------------------------
    {
        ZeroMemory(this, sizeof(D3DMATERIAL7));
        dcvDiffuse = dcvAmbient = col;
    }

    //----------------------------------------------------------------------------
    Material
    (
        RGBColor&   ambient,      // Ambient color
        RGBColor&   diffuse       // Diffuse color
    )
    //--------------------------------------
    {
        ZeroMemory(this, sizeof(D3DMATERIAL7));
        dcvAmbient = ambient;
        dcvDiffuse = diffuse;
    }
};


#endif

