//-----------------------------------------------------------------------------
// Debug.cpp
//
// Started 06/09/2000
//
// Shrike Framework -  Rob Wyatt
//-----------------------------------------------------------------------------

#include "Common.h"
#include "Debug.h"
#include "stdio.h"


//------------------------------------------------------------------------------
// Standard macro to reroute new allocations to the debug allocator
#if defined(_DEBUG)
#define new DEBUG_NEW
#define DEBUG_NEW new(_NORMAL_BLOCK,THIS_FILE,__LINE__)
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


#if defined(_DEBUG)

//
// This function is only present in debug builds
//

//-----------------------------------------------------------------------------
void dprintf(char* str,...)
{
	char	buf[1024];

	va_list argptr;
	va_start (argptr,str);
	vsprintf (buf,str,argptr);
	va_end (argptr);

	OutputDebugString(buf);
}

#endif //defined(_DEBUG)
