
/*!
	\file
	\class   IntegerExpression
	\ingroup g_kamin
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000
*/


#ifndef TEDDY_KAMIN_INTEGER_EXPRESSION_H
#define TEDDY_KAMIN_INTEGER_EXPRESSION_H


#include "Kamin/Expression.h"


namespace Kamin {


class IntegerExpression : public Expression {

public:
	IntegerExpression( int v ){
		value = v;
	}

	virtual void               free();
	virtual void               print();
	virtual IntegerExpression *isInteger();

	int val(){
		return value;
	}

private:
	int value;

};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_INTEGER_EXPRESSION_H

