
#include "Kamin/LispReader.h"
#include "Kamin/QuotedConst.h"


namespace Kamin {


Expression *LispReader::readExpression( Base *b ){
	// if quoted constant, return it,
	if( (*p == '\'') || (*p == '`') ){
		p++;
		return new QuotedConst( readExpression(b) );
	}

	// otherwise simply return what we had before
	return ReaderClass::readExpression( b );
}


};  //  namespace Kamin

