
/*!
	\file
	\class   List
	\ingroup g_kamin
	\brief   List define statement
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000

	Class List is used to gc list structures
*/


#ifndef TEDDY_KAMIN_LIST_H
#define TEDDY_KAMIN_LIST_H


#include "Kamin/Expr.h"
#include "Kamin/Expression.h"


namespace Kamin {


class ListNode;


class List : public Expr {
public:
	operator ListNode*(){
		return val()?val()->isList():0;
	}

	void operator=( ListNode *r );
};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_LIST_H

