
/*!
	\file
	\class   Symbol
	\ingroup g_kamin
	\author  Samuel Kamin, Timothy Budd, Timo Suoranta
	\date    2000
*/


#ifndef TEDDY_KAMIN_SYMBOL_H
#define TEDDY_KAMIN_SYMBOL_H


#include "Kamin/Expression.h"


namespace Kamin {


class Symbol : public Expression {

public:
	Symbol(){}
	Symbol( char * );

	virtual void    free    ();
	virtual void    eval    ( Expr &target, Environment *valueops, Environment *rho, Base *b );
	virtual void    print   ();
	virtual Symbol *isSymbol();

	int   operator==( Expression *sym );
	int   operator==( char *t );
	char *chars     (){
		return text;
	}

private:
	char *text;

};


};  //  namespace Kamin


#endif  //  TEDDY_KAMIN_SYMBOL_H

