
#include "Kamin/UnaryFunction.h"


namespace Kamin {


void UnaryFunction::apply( Expr &target, ListNode *args, Environment *rho, Base *b ){
	if( args->length() != 1 ){
		error( "unary function given more than one argument" );
		target = 0;
		return;
	}
	Function::apply( target, args, rho, b );
}


void UnaryFunction::applyWithArgs( Expr &target, ListNode *args, Environment *rho, Base *b ){
	if( !fun ){
		target = error( "unaryfunction apply and no function" );
	}else{
		fun( target, args->at(0) );
	}
}


};  //  namespace Kamin

