
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!
	\defgroup g_kamin Kamin Interpreters
*/

/*!

\page p_kamin Kamin Interpreters

This module contains small Scheme interpreter which is
based on Timothy Budd's C++ implementation of Samuel
Kamin's interpreters.

I made following modifications:

<ul>
<li>put everything inside namespace Kamin
<li>put each class into individual files
<li>moved globals to class Base to which pointer is passed where these variables are used
<li>changed source looks to my preferences
</ul>

Notice that this Scheme does not yet contain define or cond.

*/
