
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


#include "Maths/ScaleMatrix.h"


namespace Maths {


ScaleMatrix::ScaleMatrix( const double x, const double y, const double z ){   
    double *f;

	for( f = &A[0][0]; f != (double *)A+16; f++ ){
		*f = 0.0;
	}

    A[0][0] = x;
    A[1][1] = y;
    A[2][2] = z;
    A[3][3] = 1;
}


};  //  namespace Maths

