
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!
	\defgroup g_physical_components Physical Components (User Interface)
*/

/*!

\page p_physical_components Physical Components

Some physical userinterface components are here
(Area, Fill, Console).

Currently many features are under testing, and behave differently than
they are purposed to behave due to missing features. For example, it is
not desirable for Console to specify LayoutConstraint, or attach background
Fills.

Most components are not yet interactive. To make component interactive,
it will have to implement either MouseListener or KeyListener. This scheme
may change later when LogicalComponents and ComponentMapping are introduced.

See documentation for Area for more about the interface.

*/


