
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!
	\class   Task
	\ingroup g_tasks
	\author  Timo Suoranta
	\date    2000
*/


#ifndef TEDDY_TASKS_TASK_H
#define TEDDY_TASKS_TASK_H


#include <string>
using namespace std;


namespace Tasks {


class Task {
public:
	Task( string name );
	virtual ~Task();

	virtual void run() = 0;

protected:
	string name;
};


};  //  namespace Tasks


#endif  //  TEDDY_TASKS_TASK_H

