
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!

\page p_links Links


\section s_elite_resource Elite Resources


<ul>
<li><a href="http://www.eliteclub.co.uk/">
    The Proposed Elite Club</a> Official site
<li><a href="http://www.eliteclub.org.uk/">
    Elite club</a> Unofficial site
<li><a href="news:alt.fan.elite">
    news:alt.fan.elite</a>
<li><a href="http://www.deja.com/group/alt.fan.elite">
    deja's alt.fan.elite</a>
<li><a href="http://www.witchspace.free-online.co.uk/">
    Elite Ship Models by John Mackay</a>
<li><a href="http://home.clara.net/cjpinder/elite.html">
    Christian Pinder's reverse engineered source code to Elite</a>
<li><a href="http://www.bigfoot.com/~elite0">
    Ian Bell's Elite Pages</a>
<li><a href="http://www.spectrum.lovely.net/Elite.html">
    Spectrum Elite, emulated in java</a>
<li><a href="http://www.sslmit.unibo.it/zat/main.htm">
    Deep Space Outpost - Zat Solo
</ul>


\section s_similar_spacegame_projects Similar Spacegame Projects


<ul>
<li><a href="http://www.m3fe.com/">
	Millennium 3 - Anti-Matter Productions</a>
<li><a href="http://halebob.inosoft.de/galileo/g/index.html">
	Galileo</a>
<li><a href="http://www.hut.fi/~mkalline/lambda/index.html">
	Lambda - Mikko Kallinen</a>
<li><a href="http://www.jades.org/tep/default.htm">
	The Elite Project</a>
<li><a href="http://www.bootlace.co.uk/space/index.htm">
	Java Elite</a>
<li><a href="http://home.clara.net/cjpinder/elite.html">
	Elite The New Kind - Christian Pinder</a>
<li><a href="http://www.tne.net.au/astro/projects/spacegame/index.html">
	Multiplayer OpenGL Elite prototype by Tim Auld</a>
<li><a href="http://genesis.ne.mediaone.net/orbit/">
	ORBIT - Steve Belczyk - A Freeware Space Combat Simulator</a>
<li><a href="http://www.student.nada.kth.se/~nv91-gta/sd3d/">
	SpaceDuel3D</a>
<li><a href="http://www.bodar.com/dan/elite/">
	Small multiplayer OpenGL Elite prototype by Dan Bodart</a>
<li><a href="http://www.btinternet.com/~dbullivant/elitegl.html">
	EliteGL - Darren Bullivant</a>
<li><a href="http://home.wtal.de/Dragon/elite.html">
	Elite Platinum</a>
<li><a href="http://www.talentforwar.net/">
    The Space Sim Portal</a>
</ul>


\section s_my_pages My Pages


<ul>
<li><a href="http://www.helsinki.fi/~tksuoran/modeler.html">
    My Modeler Project page</a>
<li><a href="http://www.helsinki.fi/~tksuoran/lw.html">
    Parts of my LightWave object loader</a>
<li><a href="http://www.helsinki.fi/~tksuoran/dxf.html">
    Parts of my DXF ascii object loader for glElite</a>
<li><a href="http://www.helsinki.fi/~tksuoran/projects.html">
    Up to my Projects page</a>
<li><a href="http://www.helsinki.fi/~tksuoran/">
    Up to my main Homepage</a>
<li><a href="http://www.helsinki.fi/~tksuoran/me.html">
    Personal contact information</a>
</ul>


\section s_programming_3d_simulation_resources Programming, 3D, Simulation Resources


<ul>
<li><a href="http://www.devolution.com/~slouken/SDL/">
	Simple Directmedia Layer</a>
<li><a href="http://cg.cs.tu-berlin.de/~ki/engines.html">
	The 3D Engine List</a>
<li><a href="http://www.frii.com/~martz/oglfaq/">
	OpenGL FAQ and troubleshooting guide</a>
<li><a href="http://www-stud.enst.fr/~bellard/TinyGL.html">
TinyGL : a Small, Free and Fast Subset of OpenGL</a>
<li><a href="http://www.geocities.com/ResearchTriangle/Facility/4852/old.html">
    A. Tone's OpenGL Programming Page</a>
<li><a href="http://www.geocities.com/ResearchTriangle/Facility/4852/">
    A. Tone's OpenGL Programming Page, another one</a>
<li><a href="http://www.opengl.org">
    OpenGl org Website</a>
<li><a href="http://freespace.virgin.net/hugo.elias/models/m_main.htm">
    Models - Physics modeling</a>
<li><a href="http://www.acm.org/pubs/tog/resources/RTR/">
    Realtime Rendering Resources</a>
<li><a href="http://www.d6.com/users/checker/dynamics.htm">
    Chris Hecker's Rigid Body Dynamics Information</a>
<li><a href="http://www.math.tamu.edu/~eberle/pandc.html">
    Physically Based Modeling</a>
<li><a href="http://www.lb.cs.cmu.edu/~baraff/home.html">
    David Baraff (more PBM)</a>
<li><a href="http://www.formulus.com/tru-physics/hull.html">
    A Direct Convex Hull Algorithm</a>
<li><a href="http://www.frontiernet.net/~imaging/index.html">
    Modeling with Math & a Keyboard</a>
<li><a href="http://www.lancs.ac.uk/postgrad/thomasc1/render/maps.htm">
    Planetary Image Maps</a>
<li><a href="http://www.mikebonnell.com">
    Wallpapers</a>
<li><a href="http://www.prazen.com/cori/space.html">
    Space Images</a>
<li><a href="http://www.wizardnet.com/musgrave/index.html">
    Ken Musgrave - Landscapes</a>
<li><a href="http://www.cc.gatech.edu/gvu/people/peter.lindstrom/papers/siggraph96/">
    Real-Time, Continuous Level of Detail Rendering of Height Fields</a>
<li><a href="http://gaia.iwr.uni-heidelberg.de/~deal/index.html">
    Concepts for Object-Oriented Finite Element Software -
    the deal.II Library</a>
<li><a href="http://hoth.stsci.edu/public/SC5.0/stdlib/stdug/index.html">
    Standard C++ Library 2.0 User's Guide</a>
<li><a href="http://www.student.nada.kth.se/~nv91-gta/OpenGL/panorama/index.html">
    360 degree panoramas</a>
<li><a href="http://www.geom.umn.edu/video/">
    Cool visualizations</a>
<li><a href="http://www.gamedev.net/opengl/">
    druid-'s GL Journal</a>
<li><a href="http://www.cgdc.com/">
    Game Developers Conference</a>
<li><a href="http://gamasutra.com/">
    Gamasutra - The Art & Science of Making Games</a>
<li><a href="http://www.flipcode.com/">
    Flipcode</a>
<li><a href="http://mrl.nyu.edu/perlin/demox/Planet.html">
    A Webwide World by Ken Perlin</a>
<li><a href="http://www.troll.no/products/qt.html">
    Qt</a>
<li><a href="http://web2.airmail.net/sjbaker1/software/glut_hack.html">
    Hacking GLUT</a>
</ul>


*/

