
/*
    TEDDY - General graphics application library
    Copyright (C) 1999, 2000  Timo Suoranta

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Timo Suoranta
    tksuoran@cc.helsinki.fi
*/


/*!

\page p_usage Usage


See README file for controls. Text below is likely outdated.


\section s_keyboard Keyboard

<pre>
	s x  : control pitch
	, .  : control roll
	space: more speed
	- |  : less speed, stop (keys left to right shift, right to left shift)

	j u  : speed scale x 100, 10000 (hold down)

	1    : Elite flightmodel
	2    : Free flightmodel
	3    : choose mouse mode
	4    : cycle to next target
	5    : cycle to next solar body target

	6-8  : rotate target: stop - some
	i    : 60 degree view
	o    : 120 degree view
	r    : no antialising in lines
	t    : antialiased lines
	k    : lighting disabled
	l    : lighting enabled
	v    : culling disabled
	b    : culling enabled
	n    : wireframe vectors
	m    : filled vectors
	d    : debug selected target
	a    : face selected target
	R    : cycle scanner range
</pre>


\section s_mouse Mouse


Mouse operation depends on mouse mode, choosen with keyboard key '3'.
With left mousebutton down one can either roll/pictch camera, translate
object, or rotate object. With right mousebutton down one can move
camera, translate object, or rotate/scale object.

*/


