#include "common.h"


HINSTANCE hInst;
CWindow   Wnd;


INT WINAPI WinMain(
    HINSTANCE   hInstance,	    // handle to current instance
    HINSTANCE   hPrevInstance,	// handle to previous instance
    LPSTR       lpCmdLine,	    // pointer to command line
    INT         nShowCmd) 	    // show state of window
{
    MSG msg;

	hInst = GetModuleHandle(NULL);


	if (!CheckIfSSE()) {
		MessageBox(NULL,"Streaming SIMD Extensions NOT detected\nTerminating","Solar System",MB_ICONSTOP | MB_OK);
		exit(1);
	}

	Wnd.Init();


    //
    //  Message loop
    //
    while (TRUE)
    {
        while (TRUE)
        {

            if (!PeekMessage (&msg, NULL, 0, 0, PM_REMOVE))
            {
                break;
            }

            if (msg.message == WM_QUIT)
            {
                goto Exit;
            }

            TranslateMessage (&msg);
            DispatchMessage (&msg);
        }
      
        Wnd.OnIdle ();
    } 

Exit:

	Wnd.Fini();
    UnregisterClass (CLASS_NAME, hInst);


    return 0;
} 






