//
//   Copyright (c) 1999-2000 Intel Corporation.
//
// Permition is granted to use, copy, distribute and prepare derivative works 
// of this library for any purpose and without fee, provided, that the above 
// copyright notice and this statement appear in all copies.  
// Intel makes no representations about the suitability of this software for 
// any purpose, and specifically disclaims all warranties. 
// See LEGAL.TXT for all the legal information.
//

#ifndef UTIL_H__
#define UTIL_H__
#include <windows.h>

#define D3D_OVERLOADS
#include <d3d.h>

void *alignedAlloc(DWORD size);

void alignedFree(void *x);

void MatrixMultiply( D3DMATRIX& q, D3DMATRIX& a, D3DMATRIX& b );
void SetViewMatrix( D3DMATRIX& mat, D3DVECTOR& vFrom,D3DVECTOR& vAt, D3DVECTOR& vWorldUp);
void SetProjectionMatrix( D3DMATRIX& mat, float fFOV, float fAspect,float fNearPlane, float fFarPlane );
void SetUnitMatrix(D3DMATRIX &mat);
void SetRotateXMatrix( D3DMATRIX& mat, float fRads );
void SetRotateYMatrix( D3DMATRIX& mat, float fRads );


#endif
